package com.beans;

import javax.ejb.EJBException;
import javax.ejb.MessageDrivenBean;
import javax.ejb.MessageDrivenContext;
import javax.jms.Message;
import javax.jms.MessageListener;

/**
 *
 * @ejb.bean acknowledge-mode="Auto-acknowledge"
 *           description="Bean to access messages"
 *           display-name="MessageAccessBean"
 *           name="MessageAccess"
 * 			 destination-type = "javax.jms.Queue"
 */


public class MessageAccessBean implements MessageDrivenBean, MessageListener {

	/*
	 *  (non-Javadoc)
	 * @see javax.ejb.MessageDrivenBean#ejbCreate()
	 */
	public void ejbCreate() throws EJBException{
	}


	/* (non-Javadoc)
	 * @see javax.ejb.MessageDrivenBean#ejbRemove()
	 */
	public void ejbRemove() throws EJBException {
	}

	/* (non-Javadoc)
	 * @see javax.ejb.MessageDrivenBean#setMessageDrivenContext(javax.ejb.MessageDrivenContext)
	 */
	public void setMessageDrivenContext(MessageDrivenContext arg0)
			throws EJBException {
	}

	/* (non-Javadoc)
	 * @see javax.jms.MessageListener#onMessage(javax.jms.Message)
	 */
	public void onMessage(Message msg) {
		System.out.println(msg.toString());
	}

}
